xampp Java 1.6 and tomcat compatibility fix

Hier geht es um XAMPP AddOns wie z. B. das Apache-Konfigurations-Tool Apanatschi. Irgendwelche Probleme damit oder Fragen dazu? Dann ist hier genau der richtige Ort um nachzufragen.

xampp Java 1.6 and tomcat compatibility fix

Postby treadbear » 20. February 2007 03:16

Hey There

I resently installed xampp using the installer
I installed Java 1.6
I tried to install the tomcat add-on using the tomcat installer but it spat out an error saying can't find Java 1.5
I successfully installed tomcat using the .zip by modifing one char in one file.

Extract the tomcat .zip file to your example directory.
open
xampp/install/javaaddon.php
goto line 156 column 78
replace 1.5 with 1.6

example:
HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Development Kit\1.5\JavaHome

HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Development Kit\1.6\JavaHome

Start topcat with the tomcat_start.bat you should be able to access tomcat on
http://localhost:8080

So far so good I've had it running for one day :D
treadbear
 
Posts: 1
Joined: 20. February 2007 02:57

Example

Postby cybersmoker » 31. October 2007 23:50

I am new to the Xampp world. There are a bunch of example directories.

Which one.

Thanks
cybersmoker
 
Posts: 1
Joined: 31. October 2007 23:48


Return to XAMPP AddOns

Who is online

Users browsing this forum: No registered users and 0 guests